package com.unis.module.coding.service.syxx;

import java.util.*;
import javax.validation.*;
import com.unis.module.coding.controller.admin.syxx.vo.*;
import com.unis.module.coding.dal.dataobject.syxx.SyxxDO;
import com.unis.framework.common.pojo.PageResult;
import com.unis.framework.common.pojo.PageParam;
import com.unis.module.coding.dal.dataobject.zjxx.ZjxxDO;

/**
 * 损益信息 Service 接口
 *
 * @author 超级管理员
 */
public interface SyxxService {

    /**
     * 创建损益信息
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createSyxx(@Valid SyxxSaveReqVO createReqVO);

    /**
     * 更新损益信息
     *
     * @param updateReqVO 更新信息
     */
    void updateSyxx(@Valid SyxxSaveReqVO updateReqVO);

    /**
     * 删除损益信息
     *
     * @param id 编号
     */
    void deleteSyxx(Long id);

    /**
     * 获得损益信息
     *
     * @param id 编号
     * @return 损益信息
     */
    SyxxDO getSyxx(Long id);

    /**
     * 获得损益信息分页
     *
     * @param pageReqVO 分页查询
     * @return 损益信息分页
     */
    PageResult<SyxxDO> getSyxxPage(SyxxPageReqVO pageReqVO);

    SyxxDO getSyxxByCfId(Long cfId);
}